Subject: Re: Win32API
From: Heiko Peter Schmidt <[email-masked]>
To: [email-masked]
Date: Thu, 09 May 2002 08:32:53 +0200
Newsgroups: gmane.os.cygwin

Hi Ross,

i have the same problem of accessing the registry via Perl. I tried to
compile the libwin32-0.18 module from cpan but it was a desaster.

As a quick solution i used wrapped calls of reg.exe (from the resource
kit) via system() and backticks but that's a very dirty solution.

I don't understand how many Perl versions there are on the way
(ActiveState etc).

Daniel Risacher posted a message some time ago:
search the headers for "Win32::API perl module" perhaps this might help
you. I did not yet test it.

Good luck,
Heiko

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/